#
# spec file for package rubygem-airbrussh
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-airbrussh
Version:        1.5.2
Release:        1.1
%define mod_name airbrussh
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/mattbrictson/airbrussh
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Airbrussh pretties up your SSHKit and Capistrano output
License:        MIT

%description
A replacement log formatter for SSHKit that makes Capistrano output much
easier on the eyes. Just add Airbrussh to your Capfile and enjoy concise,
useful log output that is easy to read.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE.txt README.md" \
  -f

%gem_packages

%changelog
* Fri Jun 21 2024 Dan Čermák <dan.cermak@posteo.net>
- 1.5.2:
  This is a gem housekeeping release. No user-facing changes.
  [#]# 🏠 Housekeeping
- Migrate from CircleCI to GitHub Actions (#155, #156) @mattbrictson
  * *Full Changelog:** https://github.com/mattbrictson/airbrussh/compare/v1.5.1...v1.5.2
* Mon Jan 29 2024 Dan Čermák <dan.cermak@posteo.net>
- 1.5.1:
  This is a gem housekeeping release. No user-facing changes.
  [#]# 🏠 Housekeeping
- Add Ruby 3.3 to CI matrix (#154) @mattbrictson
  * *Full Changelog:** https://github.com/mattbrictson/airbrussh/compare/v1.5.0...v1.5.1
* Thu Nov  2 2023 Dan Čermák <dan.cermak@posteo.net>
- 1.5.0:
  [#]# ✨ New Features
- Use `Module.prepend` instead of `alias_method` to patch Rake (#152) @mattbrictson
  * *Full Changelog:** https://github.com/mattbrictson/airbrussh/compare/v1.4.2...v1.5.0
  1.4.2:
  This is a gem housekeeping release. No user-facing changes.
  [#]# 🏠 Housekeeping
- Ensure rubocop task runs on Ruby >= 3.1 (#149) @mattbrictson
- Add Ruby 3.2 to the CI matrix (#148) @mattbrictson
- Fix test failures due to minitest 5.19 release (#146, #147) @mattbrictson
- Fix CI build for Ruby 2.2 (#145) @mattbrictson
  * *Full Changelog:** https://github.com/mattbrictson/airbrussh/compare/v1.4.1...v1.4.2
* Thu Aug  4 2022 Stephan Kulow <coolo@suse.com>
  updated to version 1.4.1
  see installed CHANGELOG.md
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 1.4.0
  see installed CHANGELOG.md
* Fri Jul 19 2019 Stephan Kulow <coolo@suse.com>
- updated to version 1.3.2
  see installed CHANGELOG.md
  [#]# [1.3.2][] (2019-06-15)
  * [#121](https://github.com/mattbrictson/airbrussh/pull/121): Gracefully handle SSH output that has invalid UTF-8 encoding instead of raising an exception - [@mattbrictson](https://github.com/mattbrictson)
* Thu Nov 22 2018 Stephan Kulow <coolo@suse.com>
- updated to version 1.3.1
  see installed CHANGELOG.md
  [#]# [1.3.1][] (2018-11-04)
  * Packaging changes to reduce gem size
  * RuboCop and Travis improvements
  * No user-facing changes
* Tue Jun 20 2017 coolo@suse.com
- updated to version 1.3.0
  see installed CHANGELOG.md
  [#]# [1.3.0][] (2017-06-16)
  * [#109](https://github.com/mattbrictson/airbrussh/pull/109): Add configurable task prefix - [@gondalez](https://github.com/gondalez)
* Sat Apr 15 2017 coolo@suse.com
- updated to version 1.2.0
  see installed CHANGELOG.md
  [#]# [1.2.0][] (2017-04-14)
  * [#95](https://github.com/mattbrictson/airbrussh/pull/95): colorize LogMessage label on WARN level and above - [@klyonrad](https://github.com/klyonrad)
  * [#106](https://github.com/mattbrictson/airbrussh/pull/106): Remove the `log_file` parameter from the `CommandFormatter#exit_message` method; it was unused - [@mattbrictson](https://github.com/mattbrictson)
* Tue Jan  3 2017 coolo@suse.com
- updated to version 1.1.2
  see installed CHANGELOG.md
  [#]# [1.1.2][] (2017-01-02)
  * Add Ruby 2.4.0 to testing matrix and fix Ruby 2.4 deprecation warnings
* Sat Sep 10 2016 coolo@suse.com
- updated to version 1.1.1
  see installed CHANGELOG.md
  [#]# [1.1.1][] (2016-09-09)
  * When a Capistrano deploy fails and the error log is dumped to the console,
    Airbrussh no longer truncates the error output. This ensures that important
    troubleshooting information is not lost.
    [#91](https://github.com/mattbrictson/airbrussh/issues/91)
* Wed Jul 27 2016 coolo@suse.com
- updated to version 1.1.0
  see installed CHANGELOG.md
  [#]# [1.1.0][] (2016-07-26)
  * Use default color for info messages.
    When using the `gray` color on some implementation of the `solarized`
    theme the text is not visible. The `solarized` theme is popular and
    bugs have been reported about missed error messages, so this patch
    switches these messages to the default color.
    (see [#84](https://github.com/mattbrictson/airbrussh/issues/84))
* Wed May 25 2016 coolo@suse.com
- initial package
